package com.thebrokenrail.energonrelics.registry.reactor;

import com.thebrokenrail.energonrelics.EnergonRelics;
import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;
import net.minecraft.item.Item;

import java.util.HashMap;
import java.util.Map;
import java.util.Set;

/**
 * Reactor Fuel Registry
 */
public final class ReactorFuelRegistry {
    private static final Map<Item, Float> map = new HashMap<>();

    /**
     * Add To Registry
     * @param item Fuel Item
     * @param multiplier Fuel Multiplier
     */
    public static void add(Item item, float multiplier) {
        map.put(item, multiplier);
    }

    /**
     * Get From Registry
     * @param item Fuel Item
     * @return Fuel Multiplier
     */
    public static float get(Item item) {
        return map.getOrDefault(item, 0f);
    }

    /**
     * Get Entry Set (Client-Only)
     * @return Entry Set
     */
    @Environment(EnvType.CLIENT)
    public static Set<Map.Entry<Item, Float>> entrySet() {
        return map.entrySet();
    }

    static {
        add(EnergonRelics.VERIDIUM_INGOT_ITEM, 1f);
        add(EnergonRelics.VERIDIUM_BLOCK_BLOCK.asItem(), 9f);
        add(EnergonRelics.VERIDIUM_POWDER_ITEM, 0.25f);
    }
}
